# $Revision: 1.29 $, $Date: 2011/08/31 18:31:41 $
#
# Conditional build:
%bcond_without	gtk		# don't build GTK+ client
%bcond_without	curses		# don't build curses client
%bcond_without	sdl		# don't use sdl sound output
%bcond_with	esd		# don't use esd sound output
#
Summary:	Drug dealing game
Summary(pl.UTF-8):	Gra polegająca na handlowaniu narkotykami
Name:		dopewars
Version:	1.5.12
Release:	5
License:	GPL
Group:		Applications/Games
Source0:	http://downloads.sourceforge.net/dopewars/%{name}-%{version}.tar.gz
# Source0-md5:	debf749de9053dc2fb2e74c37ae06206
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-scoredir.patch
URL:		http://dopewars.sourceforge.net/
%{?with_sdl:BuildRequires:	SDL-devel >= 1.0.0}
%{?with_sdl:BuildRequires:	SDL_mixer-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_esd:BuildRequires:	esound-devel >= 0.0.20}
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	gtk+-devel
%{?with_gtk:BuildRequires:	gtk+2-devel >= 1:2.0.0}
%{?with_curses:BuildRequires:	ncurses-devel}
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Based on John E. Dell's old Drug Wars game, dopewars is a simulation
of an imaginary drug market. dopewars is an All-American game which
features buying, selling, and trying to get past the cops!

The first thing you need to do is pay off your debt to the Loan Shark.
After that, your goal is to make as much money as possible (and stay
alive)! You have one month of game time to make your fortune.

dopewars supports multiple players via TCP/IP. Chatting to and
fighting with other players (computer or human) is supported; check
the command line switches (via dopewars -h) for further information.

%description -l pl.UTF-8
dopewars jest symulacją wyimaginowanego narkotykowego rynku, bazującą
na starej grze Drug Wars autorstwa Johna E. Della. Jest to gra w
amerykańskim stylu polegająca na kupowaniu, sprzedawaniu i omijaniu
policji!

Pierwszą rzeczą jaką trzeba zrobić jest spłacenie długu. Potem celem
jest zdobycie jak największej ilości pieniędzy (i przeżycie)! Gracz ma
jeden miesiąc gry na zdobycie fortuny.

W dopewars można grać z wieloma graczami poprzez TCP/IP. Można także z
nimi rozmawiać i walczyć; więcej informacji w opisie parametrów linii
poleceń (pokaże je dopewars -h).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	LIBS="-ltinfo" \
	--enable-plugins \
	--enable-networking \
	%{?with_esd:--with-esd} \
	%{?with_sdl:--with-sdl} \
	%{?with_curses:--enable-curses-client} \
	%{?with_gtk:--enable-gui-client} \
	%{?with_gtk:--enable-gui-server}

%{__make} \
	CFLAGS="%{rpmcflags} -Wall -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	SCOREDIR=$RPM_BUILD_ROOT/var/games/dopewars \
	DESTDIR=${RPM_BUILD_ROOT}

# I think this could be done somehow prettier
mv $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Games/dopewars.desktop $RPM_BUILD_ROOT%{_desktopdir}

rm -f doc/help/Makefile*

# es_ES.po seems to be newer than es.po
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/es_ES/LC_MESSAGES/* \
	$RPM_BUILD_ROOT%{_datadir}/locale/es/LC_MESSAGES/
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/es_ES

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- dopewars < 1.5.12-0.1
# move scorefile
mv -f %{_datadir}/dopewars.sco.rpmsave /var/games/dopewars/dopewars.sco
chown root:games /var/games/dopewars/dopewars.sco
chmod 660 /var/games/dopewars/dopewars.sco
%{_bindir}/dopewars -C /var/games/dopewars/dopewars.sco

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog LICENCE README doc/{*.html,help}
%attr(2755,root,games) %{_bindir}/dopewars
%attr(770,root,games) /var/games/dopewars
%{_mandir}/man6/*
%{_libdir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dopewars.spec,v $
Revision 1.29  2011/08/31 18:31:41  arekm
- release 5

Revision 1.28  2011/01/23 00:12:27  sparky
- link with -ltinfo (fixes linking)

Revision 1.27  2010/06/03 15:19:30  baggins
- rel 4
- esound is dead

Revision 1.26  2010/05/16 13:31:01  sparky
- fixed locale fix
- BR: gettext-devel, gtk+-devel, pkgconfig

Revision 1.25  2010/04/21 17:00:45  arekm
- release 3

Revision 1.24  2010/04/12 19:21:19  ankry
- locale fix, rel. 2

Revision 1.23  2009/11/08 15:20:21  adamg
- todo done
- drop %post script, add %trigger to move old scorefile
- adapterized (no globs for suid/sgid files)
- release 1

Revision 1.22  2009/11/08 15:16:13  adamg
- updated to 1.5.12
- move scorefile from %{_datadir} to /var/games/dopewars

Revision 1.21  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.19  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.18  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.17  2005/12/12 16:07:34  czucz
- %{_includedir} macro used

Revision 1.16  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.15  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.14  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.13  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.12  2004/10/01 09:56:51  paladine
- rel 4 for fixed desktop patch

Revision 1.11  2004/06/01 11:02:50  adamg
- release 3 (with updated desktop patch)

Revision 1.10  2003/12/10 15:48:40  pzurowski
- switched to the new style bconds

Revision 1.9  2003/12/10 15:35:44  grzegol
- _applnkdir -> _desktopdir
- added desktop patch (add pl, Categories and vi-line to .desktop file)
- rel. 2

Revision 1.8  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.7  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.6  2003/06/08 12:45:45  adamg
- updated to 1.5.9

Revision 1.5  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:46:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/02/25 12:13:29  qboosh
- working Source URL

Revision 1.2  2003/02/17 00:12:08  qboosh
- pl fix, use _pixmapsdir macro, added TODO

Revision 1.1  2003/02/13 11:18:12  grzegol
- spec by Adam Gołębiowski <adamg@biomerieux.pl>
- adapterized
- added some bconds
